सामग्री पर जाएँ

Hunyuan Video Foley

इंटीग्रेट करें

मॉडल id hunyuan-video-foley
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan-video-foley?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.10 100 API क्रेडिट · ≈ ₽10.76 चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Tencent वीडियो से ऑडियो #video-to-video#add-sound

टेक्स्ट विवरण से मौजूदा वीडियो में जनरेट किए गए ध्वनि प्रभाव जोड़ता है

Tencent · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

निर्मित किए जाने वाले ऑडियो का वर्णन करने वाला वैकल्पिक टेक्स्ट।

•आवश्यक video_url
फ़ाइल ड्रॉप करें, या

ऑडियो निर्माण के स्रोत के रूप में उपयोग किया गया वीडियो URL।

उन्नत negative_prompt · guidance_scale · num_inference_steps · seed · enable_safety_checker
डिफ़ॉल्ट noisy, harsh

बहिष्कृत की जाने वाली ऑडियो विशेषताओं को निर्दिष्ट करने वाला नकारात्मक प्रॉम्प्ट।

डिफ़ॉल्ट 4.5

ऑडियो निर्माण के दौरान लागू guidance का स्केल।

डिफ़ॉल्ट 50

निर्माण के दौरान उपयोग किए गए inference चरणों की संख्या।

निर्माण को पुनरुत्पादित करने योग्य बनाने वाला रैंडम seed।

POST /run/hunyuan-video-foley?wait=20 कोटेशन → $0.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan-video-foley?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Hunyuan Video Foley के बारे में

`video_url` वाले वीडियो के लिए `text_prompt` और वैकल्पिक `negative_prompt` के मार्गदर्शन में ऑडियो बनाता है; `negative_prompt` का डिफ़ॉल्ट शोरयुक्त या तीखी ध्वनि से बचना है। `guidance_scale` 1 से 10 और `num_inference_steps` 10 से 100 तक होता है। ऑडियो वाला वीडियो लौटाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
video_urlआवश्यक video
प्रकारurl · video
ऑडियो निर्माण के स्रोत के रूप में उपयोग किया गया वीडियो URL।
text_promptआवश्यक
प्रकारstring
निर्मित किए जाने वाले ऑडियो का वर्णन करने वाला वैकल्पिक टेक्स्ट।
negative_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्टnoisy, harsh
बहिष्कृत की जाने वाली ऑडियो विशेषताओं को निर्दिष्ट करने वाला नकारात्मक प्रॉम्प्ट।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट4.5
1 – 10
ऑडियो निर्माण के दौरान लागू guidance का स्केल।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट50
10 – 100
निर्माण के दौरान उपयोग किए गए inference चरणों की संख्या।
seedवैकल्पिक
प्रकारinteger | null
निर्माण को पुनरुत्पादित करने योग्य बनाने वाला रैंडम seed।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan-video-foley",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}अपने ऑडियो सहित निर्मित वीडियो वाली सूची।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/hunyuan-video-foley.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt